> For the complete documentation index, see [llms.txt](https://chekin.gitbook.io/chekin-public-api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://chekin.gitbook.io/chekin-public-api/api-reference/guests/pre-create-guest.md).

# Pre-Create Guest

Pre-crating guests is used to prefill the check-in online form with already known guest data.

If you already own guest information and you want to save time for your guests, pre-create them so guests will only need to complete the missing data to finish the registration.

All values are optional unless `name` and `surname`

<mark style="color:green;">`POST`</mark> `/guests?min=true`

**Headers**

| Name          | Value              |
| ------------- | ------------------ |
| Content-Type  | `application/json` |
| Authorization | `JWT <token>`      |

**Query parameters**

| Name | Value  | Description                                   |
| ---- | ------ | --------------------------------------------- |
| min  | `true` | Mandatory if you want to pre-register a guest |

**Body**

| Name             | Type   | Description                            |
| ---------------- | ------ | -------------------------------------- |
| `name`           | string | Name of the guest                      |
| `surname`        | string | Surname of the guest                   |
| r`eservation_id` | uuid   | Reservation where the guest belongs to |
| `birth_date`     | date   | Birthday of the guest                  |
| `gender`         | select | `M` (male) or `F` (female)             |
| `nationality`    | select | Country of nationality (2-alpha code)  |
| `email`          | string | Guest's email                          |
| `phone`          | string | Guest's phone number                   |
| ...              | ...    | rest of guets entity fields            |

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "name": "Name",
    "surname": "Surname",
    "reservation_id": "{{_RESERVATION_ID_}}"
}
```

{% endtab %}
{% endtabs %}
